#include "partition.h"
//#include "grader.cpp"

#include <bits/stdc++.h>

using namespace std;

std::vector<int> solve(std::vector<int> a) {
    int n = a.size();

    assert(n <= 25);

    for(int i = 0; i < n; i++) {
        assert(a[i] == (1 << i));
    }

    vector<int> ans(n);

    iota(ans.begin(), ans.end(), 0);

    reverse(ans.begin(), ans.end());

    return ans;
}
